package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.AlbumPreviewModel
import com.biganto.visual.roompark.domain.model.PhotoModel
import com.biganto.visual.roompark.domain.model.WebCamListModel
import com.biganto.visual.roompark.domain.model.WebCamModel
import io.reactivex.rxjava3.core.Observable
import io.reactivex.rxjava3.core.Single

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface DevProgressContract{

    fun getProgressCards(): Single<List<AlbumPreviewModel>>
    fun getProgressAlbumList(albumId:Int): Observable<List<AlbumPreviewModel>>
    fun getAlbumPhoto(photoId:Int): Observable<PhotoModel>
    fun getWebCamsList(): Single<WebCamListModel>
    fun getWebCamStream(camId:Int): Single<WebCamModel>
}