package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.AuthInfoModel
import io.reactivex.rxjava3.core.Completable
import io.reactivex.rxjava3.core.Observable


/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */
interface AuthContract {
    fun signIn(email:String,password:String) : Observable<AuthInfoModel>
    fun signOut() : Completable
}